%global _basename kora
%global debug_package %{nil}

Name:               %{_basename}-icon-theme

%global forgeurl https://github.com/bikass/%{_basename}
Version:            1.6.2
%forgemeta

Release:            1%{?dist}
Summary:            Kora icon theme for GNU/Linux os
License:            GPL-3.0
URL:                %{forgeurl}
Source:             %{forgesource}

BuildArch:          noarch

Requires:           gtk-update-icon-cache

%description
Kora is an SVG icon theme with lots of new icons for GNU/Linux operating systems.

Different versions available:
kora - for dark themes with dark panel
kora-light - for light themes with dark panel (depends on Kora)
kora-light-panel - for light themes with light panel (depends on Kora and Kora-light)
kora-pgrey - theme with grey folder colors (depends on Kora)

%prep
%forgeautosetup -p1

%build
# Nothing to do here

%install
# Delete useless files from source folder
rm -f "%{_basename}/create-new-icon-theme.cache.sh"
rm -f "%{_basename}/icon-theme.cache"
rm -f "%{_basename}-light/create-new-icon-theme.cache.sh"
rm -f "%{_basename}-light/icon-theme.cache"
rm -f "%{_basename}-light-panel/create-new-icon-theme.cache.sh"
rm -f "%{_basename}-light-panel/icon-theme.cache"
rm -f "%{_basename}-pgrey/create-new-icon-theme.cache.sh"
rm -f "%{_basename}-pgrey/icon-theme.cache"

# Install icons
mkdir -p %{buildroot}%{_datadir}/icons
cp -dr --no-preserve=mode "%{_basename}" %{buildroot}%{_datadir}/icons/%{_basename}
cp -dr --no-preserve=mode "%{_basename}-light" %{buildroot}%{_datadir}/icons/%{_basename}-light
cp -dr --no-preserve=mode "%{_basename}-light-panel" %{buildroot}%{_datadir}/icons/%{_basename}-light-panel
cp -dr --no-preserve=mode "%{_basename}-pgrey" %{buildroot}%{_datadir}/icons/%{_basename}-pgrey

export THEMES="%{_basename} %{_basename}-light %{_basename}-light-panel %{_basename}-pgrey"
for t in $THEMES; do
    /bin/touch %{buildroot}/%{_datadir}/icons/$t/icon-theme.cache
done

# Install license
mkdir -p %{buildroot}%{_datadir}/licenses/%{name}
cp -p "LICENSE" %{buildroot}%{_datadir}/licenses/%{name}

%post
export THEMES="%{_basename} %{_basename}-light %{_basename}-light-panel %{_basename}-pgrey"
for t in $THEMES; do
    /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null || :
done

%postun
if [ $1 -eq 0 ] ; then
    export THEMES="%{_basename} %{_basename}-light %{_basename}-light-panel %{_basename}-pgrey"
    for t in $THEMES; do
        /bin/touch --no-create %{_datadir}/icons/$t &>/dev/null
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
export THEMES="%{_basename} %{_basename}-light %{_basename}-light-panel %{_basename}-pgrey"
for t in $THEMES; do
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%files
%doc README.md
%license LICENSE
%{_datadir}/icons/%{_basename}
%{_datadir}/icons/%{_basename}-light
%{_datadir}/icons/%{_basename}-light-panel
%{_datadir}/icons/%{_basename}-pgrey

%changelog
* Sun Dec 22 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.6.2-1
- Update to 1.6.2

* Mon Oct 14 2024 Hazel Bunny <hazel_bunny@disroot.org> - 1.6.1-1
- initial package
